cURL
curl --request GET \
--url https://api.staging.qyl.dev/api/v1/workflows/runsimport requests
url = "https://api.staging.qyl.dev/api/v1/workflows/runs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.staging.qyl.dev/api/v1/workflows/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"workflow_id": "<string>",
"workflow_version": 123,
"project_id": "<string>",
"trigger_type": "manual",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"trigger_source": "<string>",
"input_json": "<string>",
"output_json": "<string>",
"error_message": "<string>",
"parent_run_id": "<string>",
"correlation_id": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"duration_ms": 123
}
],
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>"
}{
"type": "about:blank",
"title": "Validation Failed",
"status": 123,
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"rejected_value": "<string>"
}
],
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"title": "Internal Server Error",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}Workflows
List runs
List workflow runs
GET
/
api
/
v1
/
workflows
/
runs
cURL
Query Parameters
Project ID filter
Workflow ID filter
Status filter Workflow run status
Available options:
pending, running, paused, completed, failed, cancelled, timed_out Start time
End time
Page size
Required range:
1 <= x <= 100Cursor
Response
The request has succeeded.
Cursor-based paginated response wrapper
Was this page helpful?
⌘I
